/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VCoreMissinglistUsage;

import org.jooq.JSONB;
import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreMissinglistUsageRecord extends TableRecordImpl<VCoreMissinglistUsageRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_missinglist_usage.pk</code>.
     */
    public void setPk(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_missinglist_usage.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_missinglist_usage.name</code>.
     */
    public void setName(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_missinglist_usage.name</code>.
     */
    public String getName() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_core_missinglist_usage.usages</code>.
     */
    public void setUsages(JSONB value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_core_missinglist_usage.usages</code>.
     */
    public JSONB getUsages() {
        return (JSONB) get(2);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreMissinglistUsageRecord
     */
    public VCoreMissinglistUsageRecord() {
        super(VCoreMissinglistUsage.V_CORE_MISSINGLIST_USAGE);
    }

    /**
     * Create a detached, initialised VCoreMissinglistUsageRecord
     */
    public VCoreMissinglistUsageRecord(Integer pk, String name, JSONB usages) {
        super(VCoreMissinglistUsage.V_CORE_MISSINGLIST_USAGE);

        setPk(pk);
        setName(name);
        setUsages(usages);
        resetChangedOnNotNull();
    }
}
